#
# Conditional build:
%bcond_without	systemd	# systemd support
%bcond_with	wnck	# wnck support, "this will likely make system-monitor segfault"
#
Summary:	Simple process monitor
Summary(pl.UTF-8):	Prosty monitor procesów
Name:		gnome-system-monitor
Version:	41.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/gnome-system-monitor/41/%{name}-%{version}.tar.xz
# Source0-md5:	f3b1de4f1d5fb7b7a12549a22f0ceb88
URL:		https://wiki.gnome.org/Apps/SystemMonitor
BuildRequires:	atkmm-devel >= 2.28
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.56.0
BuildRequires:	glibmm-devel >= 2.46.0
BuildRequires:	gtk+3-devel >= 3.22.0
BuildRequires:	gtkmm3-devel >= 3.4.0
BuildRequires:	libgtop-devel >= 1:2.38.0
BuildRequires:	libhandy1-devel >= 1.0.0
BuildRequires:	librsvg-devel >= 2.35.0
BuildRequires:	libstdc++-devel >= 6:4.7
%{?with_wnck:BuildRequires:	libwnck-devel >= 3.0.0}
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	libxml2-progs
BuildRequires:	meson >= 0.50.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.736
%{?with_systemd:BuildRequires:	systemd-devel >= 44}
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	glib2 >= 1:2.56.0
Requires:	atkmm >= 2.28
Requires:	glib2 >= 1:2.56.0
Requires:	glibmm >= 2.46.0
Requires:	gtk+3 >= 3.22.0
Requires:	gtkmm3 >= 3.4.0
Requires:	hicolor-icon-theme
Requires:	libgtop >= 1:2.38.0
Requires:	libhandy1 >= 1.0.0
Requires:	librsvg >= 2.35.0
Obsoletes:	procman
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a simple process and system monitor.

%description -l pl.UTF-8
GNOME System Monitor to prosty monitor procesów i systemu.

%prep
%setup -q

%build
%meson build \
	%{!?with_systemd:-Dsystemd=false} \
	%{?with_wnck:-Dwnck=true}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS NEWS README.md
%attr(755,root,root) %{_bindir}/gnome-system-monitor
%dir %{_libexecdir}/gnome-system-monitor
%attr(755,root,root) %{_libexecdir}/gnome-system-monitor/gsm-kill
%attr(755,root,root) %{_libexecdir}/gnome-system-monitor/gsm-renice
%attr(755,root,root) %{_libexecdir}/gnome-system-monitor/gsm-taskset
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-system-monitor.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-system-monitor.gschema.xml
%{_datadir}/gnome-system-monitor
%{_datadir}/metainfo/gnome-system-monitor.appdata.xml
%{_datadir}/polkit-1/actions/org.gnome.gnome-system-monitor.policy
%{_desktopdir}/gnome-system-monitor.desktop
%{_desktopdir}/gnome-system-monitor-kde.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.SystemMonitor.svg
%{_iconsdir}/hicolor/scalable/apps/org.gnome.SystemMonitor.Devel.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.SystemMonitor-symbolic.svg
%{_iconsdir}/hicolor/symbolic/apps/speedometer-symbolic.svg
%changelog
* Mon Sep 27 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-system-monitor.git;a=log;h=master

* Mon Sep 27 2021 Jakub Bogusz <qboosh@pld-linux.org> bfb6c6d
- updated to 41.0

* Wed May 05 2021 Jakub Bogusz <qboosh@pld-linux.org> ce12d0a
- updated to 40.1

* Sat Mar 27 2021 Jakub Bogusz <qboosh@pld-linux.org> efb18fc
- updated to 40.0

* Sat Sep 12 2020 Jakub Bogusz <qboosh@pld-linux.org> 31e6380
- updated to 3.38.0

* Fri May 29 2020 Jakub Bogusz <qboosh@pld-linux.org> 676460c
- updated to 3.36.1

* Fri Apr 17 2020 Jakub Bogusz <qboosh@pld-linux.org> bf0136a
- updated to 3.36.0

* Tue Nov 26 2019 Jakub Bogusz <qboosh@pld-linux.org> 9a69ce4
- updated to 3.32.1

* Sat Jan 26 2019 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> cc2c8ec
- Updated to 3.30.0

* Wed Apr 04 2018 Marcin Banasiak <marcin.banasiak@gmail.com> adb2452
- Update to 3.28.0

* Sun Sep 24 2017 Marcin Banasiak <marcin.banasiak@gmail.com> d1556ce
- Update to 3.26.0

* Mon Jul 17 2017 Jakub Bogusz <qboosh@pld-linux.org> 8696548
- C++11 compiler is required

* Thu Mar 23 2017 Marcin Banasiak <marcin.banasiak@gmail.com> f8a5123
- Update to 3.24.0

* Sat Nov 12 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 6cd7cd4
- Update to 3.22.2

* Sun Nov 15 2015 Jakub Bogusz <qboosh@pld-linux.org> dde8056
- updated to 3.18.2

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> d47f7df
- x32 rebuild
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> c096bef
- updated gettext BR

* Sun Jul 13 2014 Łukasz Kieś <kiesiu@pld-linux.org> 3b40091
- libgtop rebuild
- release 2 (by relup.sh)

* Sat May 17 2014 Marcin Banasiak <marcin.banasiak@gmail.com> c18d0af
- Update to 3.12.2

* Wed Apr 16 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 5515ac8
- Update to 3.12.1

* Wed Apr 02 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 74e3909
- Update to 3.12.0

